/**
 * JASMINe
 * Copyright (C) 2006-2007 Bull S.A.S.
 * Contact: jasmine@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:$
 * --------------------------------------------------------------------------
 */
package org.objectweb.jasmine.configurator;

import java.util.Properties;


/**
 * <p>contributor : Julien Legrand</>
 *
 * @author Yann Davin <yann.davin@gmail.com>
 *
 */
public interface Configurator {


    /**
     * @throws ConfigurationException TODO
     *
     */
    void configure() throws ConfigurationException;

    /**
     * All object put in context must be serializable for jasmine
     *
     * @param key
     * @param value
     */
    boolean setProperty(String key, Object value);

    /**
     * @param key
     * @return
     */
    Object getProperty(String key);


    /**
     * @return
     */
    Properties getProperties();

}
