/**
 * JASMINe
 *
 * Copyright (C) 2007 Bull S.A.S.
 *
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * --------------------------------------------------------------------------
 * $Id: DisplayThread.java Dec 18, 2007 4:10:49 PM jlegrand $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jasmine.launcher;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

/**
 * @author Yann Davin
 *
 */
public class DisplayThread extends Thread {

    /**
     *
     */
    private InputStream is;
    /**
     *
     */
    private String header;
    /**
     *
     */
    private boolean stop = false;

    // ------------------------------------------------------------------------
    // Constructor
    // ------------------------------------------------------------------------

    public DisplayThread(InputStream is, String header) {
        this.is = is;
        this.header = header;
    }

    // ------------------------------------------------------------------------
    // Implementation of the Runnable interface
    // ------------------------------------------------------------------------

    /* (non-Javadoc)
     * @see java.lang.Thread#run()
     */
    public void run() {
        InputStreamReader inputstreamreader = new InputStreamReader(is);
        BufferedReader bufferedreader = new BufferedReader(
                inputstreamreader);
        String line = null;
        try {
            while ((line = bufferedreader.readLine()) != null
                    && (this.stop != true)) {
                System.out.println(header + " " + line);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    // ------------------------------------------------------------------------
    // Public methods
    // ------------------------------------------------------------------------

    public void setStopped(boolean stopped){
        stop = stopped;
    }
}
